AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- XRProvider

## Index

### Methods

- configure
- enableAudio
- enterVR
- exitVR
- getCategory
- getProviderName
- getSceneController
- isMuted
- isSceneLoaded
- isVRCapable
- isVRPresentationActive
- loadScene
- onSceneEvent
- setMuted
- start

## Methods

### configure

- configure(config: object): object

- - Defined in xr/src/types/Provider.ts:18

  #### Parameters

  - ##### config: object

  #### Returns object

### enableAudio

- enableAudio(sceneName: string): void

- - Defined in xr/src/types/Provider.ts:37

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### enterVR

- enterVR(sceneName: string): void

- - Defined in xr/src/types/Provider.ts:32

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### exitVR

- exitVR(sceneName: string): void

- - Defined in xr/src/types/Provider.ts:33

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### getCategory

- getCategory(): string

- - Defined in xr/src/types/Provider.ts:21

  #### Returns string

### getProviderName

- getProviderName(): string

- - Defined in xr/src/types/Provider.ts:24

  #### Returns string

### getSceneController

- getSceneController(sceneName: string): any

- - Defined in xr/src/types/Provider.ts:28

  #### Parameters

  - ##### sceneName: string

  #### Returns any

### isMuted

- isMuted(sceneName: string): boolean

- - Defined in xr/src/types/Provider.ts:34

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### isSceneLoaded

- isSceneLoaded(sceneName: any): boolean

- - Defined in xr/src/types/Provider.ts:27

  #### Parameters

  - ##### sceneName: any

  #### Returns boolean

### isVRCapable

- isVRCapable(sceneName: string): boolean

- - Defined in xr/src/types/Provider.ts:29

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### isVRPresentationActive

- isVRPresentationActive(sceneName: string): boolean

- - Defined in xr/src/types/Provider.ts:30

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### loadScene

- loadScene(sceneName: string, domElementId: string, sceneOptions: SceneOptions): any

- - Defined in xr/src/types/Provider.ts:26

  #### Parameters

  - ##### sceneName: string

  - ##### domElementId: string

  - ##### sceneOptions: SceneOptions

  #### Returns any

### onSceneEvent

- onSceneEvent(sceneName: string, eventName: string, eventHandler: Function): void

- - Defined in xr/src/types/Provider.ts:36

  #### Parameters

  - ##### sceneName: string

  - ##### eventName: string

  - ##### eventHandler: Function

  #### Returns void

### setMuted

- setMuted(sceneName: string, muted: boolean): void

- - Defined in xr/src/types/Provider.ts:35

  #### Parameters

  - ##### sceneName: string

  - ##### muted: boolean

  #### Returns void

### start

- start(sceneName: string): void

- - Defined in xr/src/types/Provider.ts:31

  #### Parameters

  - ##### sceneName: string

  #### Returns void